package com.sckw.excel.annotation;

import java.lang.annotation.*;

/**
 * @author lfdc
 * @version v1
 * @create 2020-11-28 15:37:35
 * @copyright
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ExcelContext {

    String fileName() default "";

    String sheetName();

    @Target({ElementType.TYPE})
    @Retention(RetentionPolicy.RUNTIME)
    @Documented
    public @interface Query {
        boolean combine() default false;
    }
}